Vsan Vc Cluster Config System Vsan Get Configuration Limits

Vsan Vc Cluster Config System Vsan Get Configuration Limits
Returns configuration limits and supported values.

Returns configuration limits and supported values.

This API is useful to determine limits supported for a particular vSphere version.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVcClusterConfigSystem/{moId}/VsanGetConfigurationLimits
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVcClusterConfigSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

KeyValue pairs with configuration limits

[
    {
        "_typeName": "string",
        "key": "string",
        "value": {
            "_typeName": "string"
        }
    }
]
array of object
Optional

Non-localized key/value pair in which the the value can be of any type.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/vsan/VsanVcClusterConfigSystem/{moId}/VsanGetConfigurationLimits